# bootstrap-align
Missing **align** library (css & sass) for [twitter bootstrap](https://github.com/twbs/bootstrap) (version 3 & 4)

## usage

1. Install via either [bower](http://bower.io/), [npm](https://www.npmjs.com/) or downloaded files:
    1. `bower install --save bootstrap-align`
    2. `npm install --save bootstrap-align`
    3. download [bootstrap-align.zip](https://github.com/JohnnyTheTank/bootstrap-align/zipball/master)
2. Add files to your html
    1. when using bower
    ```html
    <!-- bootstrap 3 -->
    <script src="bower_components/bootstrap-align/dist/bootstrap3-align.min.css"></script>
    <!-- bootstrap 4 -->
    <script src="bower_components/bootstrap-align/dist/bootstrap4-align.min.css"></script>
    ```

    2. when using npm
    ```html
    <!-- bootstrap 3 -->
    <script src="node_modules/bootstrap-align/dist/bootstrap3-align.min.css"></script>
    <!-- bootstrap 4 -->
    <script src="node_modules/bootstrap-align/dist/bootstrap4-align.min.css"></script>
    ```
    
    3. when using downloaded files
    ```html
    <!-- bootstrap 3 -->
    <script src="bootstrap3-align.min.css"></script>
    <!-- bootstrap 4 -->
    <script src="bootstrap4-align.min.css"></script>
    ```


## available classes


| xs | sm | md | lg  |
| --- | ---| ---| ---|
| `.xs-text-left`           | `.sm-text-left`           | `.md-text-left`           | `.lg-text-left`           |
| `.xs-only-text-left`      | `.sm-only-text-left`      | `.md-only-text-left`      |  |
| `.xs-text-center`         | `.sm-text-center`         | `.md-text-center`         | `.lg-text-center`         |
| `.xs-only-text-center`    | `.sm-only-text-center`    | `.md-only-text-center`    |  |
| `.xs-text-right`          | `.sm-text-right`          | `.md-text-right`          | `.lg-text-right`          |
| `.xs-only-text-right`     | `.sm-only-text-right`     | `.md-only-text-right`     |  |
| `.xs-text-justify`        | `.sm-text-justify`        | `.md-text-justify`        | `.lg-text-justify`        |
| `.xs-only-text-justify`   | `.sm-only-text-justify`   | `.md-only-text-justify`   |  |






# license
MIT
